<html>
<head>
  <title>Test</title>
  <script src='./bundle.js'></script>
  <script>

    async function get_answer(text, manager, ner_manager){
      const get_movie_data = async (entity) => {
        const res = await fetch('http://www.omdbapi.com/?t=' + entity +  '&apikey=83edb3ff');
        const request_result = await res.json(); //extract JSON from the http response
          return request_result;
      }

      const intent_result = await manager.process(text);
      const intent = intent_result['intent'];

      ner_manager.findEntities(
        text,
        'en',
      ).then(entities => {
        movie = entities[0]['sourceText'];
        movie_result = get_movie_data(movie);

        if (intent == "agent.actors"){
          movie_result.then(function(result){
            console.log("The actors in " + result['Title'] + " are: " + result['Actors']);
          });
        }else if (intent == "agent.rating"){
          movie_result.then(function(result){
            console.log("The current rating of " + result['Title'] + " is: " + result['imdbRating']);
          });
        }else{
          console.log("could not find intent");
        }
      })
    }

    const manager = new window.NLPJS.NlpManager({ languages: ['en'], useNeural: false });
    async function main() {
      manager.addDocument('en', 'who is starring', 'agent.actors');
      manager.addDocument('en', 'who is involved', 'agent.actors');
      manager.addDocument('en', 'which people are in', 'agent.actors');
      manager.addDocument('en', 'who plays in', 'agent.actors');
      manager.addDocument('en', 'who is the actor in', 'agent.actors');
      manager.addDocument('en', 'who is acting in', 'agent.actors');


      manager.addDocument('en', 'whats the rating of', 'agent.rating');
      manager.addDocument('en', 'is it a good movie', 'agent.rating');
      manager.addDocument('en', 'should i watch', 'agent.rating');
      manager.addDocument('en', 'how many points', 'agent.rating');
      manager.addDocument('en', "how mutch is the movie rated", 'agent.rating');
      

      console.info('Training, please wait..');
      console.time('Training');
      await manager.train();
      console.timeEnd('Training');

      manager.addAnswer('en', 'user.actors', "actors");
      manager.addAnswer('en', 'user.actors', "actors");
      manager.addAnswer('en', 'user.rating', 'rating');
      manager.addAnswer('en', 'user.rating', "rating");
      
      const ner_manager = new window.NLPJS.NerManager({ threshold: 0.8 });
      ner_manager.addNamedEntityText('movie', 'guardians+of+the+galaxy', ['en'], ['guardians of the galaxy']);
      ner_manager.addNamedEntityText('', '', ['en'], ['vicuña']);
      ner_manager.addNamedEntityText('movie', 'titanic', ['en'], ['titanic']);
      ner_manager.addNamedEntityText('movie', 'forrest+gump', ['en'], ['forrest gump']);
      
      get_answer("What's the rating of guardians of the galaxy?", manager, ner_manager);
      get_answer("who are the actors in titanic?", manager, ner_manager)

    }
    
main();

  </script>
</head>
<body>

</body>
</html>